Description: Generate reproducible wheel files
 - Sort the entries of metadata.json
 - Use fixed timestamps for files in archive
Author: Reiner Herrmann <reiner@reiner-h.de>

Index: wheel-0.24.0/wheel/archive.py
===================================================================
--- wheel-0.24.0.orig/wheel/archive.py
+++ wheel-0.24.0/wheel/archive.py
@@ -39,6 +39,8 @@ def make_wheelfile_inner(base_name, base
     deferred = []
 
     def writefile(path):
+        tstamp = 315576060  # earliest supported date by zip (1.1.1980)
+        os.utime(path, (tstamp, tstamp))
         zip.write(path, path)
         log.info("adding '%s'" % path)
 
Index: wheel-0.24.0/wheel/bdist_wheel.py
===================================================================
--- wheel-0.24.0.orig/wheel/bdist_wheel.py
+++ wheel-0.24.0/wheel/bdist_wheel.py
@@ -409,7 +409,7 @@ class bdist_wheel(Command):
             pymeta['extensions']['python.details']['document_names']['license'] = license_filename
 
         with open(metadata_json_path, "w") as metadata_json:
-            json.dump(pymeta, metadata_json)
+            json.dump(pymeta, metadata_json, sort_keys=True)
 
         adios(egginfo_path)
 
Index: wheel-0.24.0/wheel/metadata.py
===================================================================
--- wheel-0.24.0.orig/wheel/metadata.py
+++ wheel-0.24.0/wheel/metadata.py
@@ -69,7 +69,7 @@ def handle_requires(metadata, pkg_info,
 
     if may_requires:
         metadata['run_requires'] = []
-        for key, value in may_requires.items():
+        for key, value in sorted(may_requires.items()):
             may_requirement = {'requires':value}
             if key.extra:
                 may_requirement['extra'] = key.extra
